Package org.apache.solr.client.solrj.impl

# Class LBSolrClient.Rsp

java.lang.Object
org.apache.solr.client.solrj.impl.LBSolrClient.Rsp

Enclosing class:
  `LBSolrClient`

public static class LBSolrClient.Rsp extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected NamedList<Object>`
`rsp`
`protected String`
`server`

## Constructor Summary

Constructors
Constructor
Description
`Rsp()`

## Method Summary

Modifier and Type
Method
Description
`NamedList<Object>`
`getResponse()`
The response from the server
`String`
`getServer()`
The server URL that returned the response

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### server

protected String server

### rsp

protected NamedList<Object> rsp

## Constructor Details

### Rsp

public Rsp()

## Method Details

### getResponse

public NamedList<Object> getResponse()
The response from the server

### getServer

public String getServer()
The server URL that returned the response

May be either a true "base URL" or a core/collection URL, depending on the request